Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(13)

Issue 1212813006: Pretty print AlternativeService in test macros. (Closed)

Created:
2 years, 11 months ago by Bence
Modified:
2 years, 10 months ago
Reviewers:
Ryan Hamilton
CC:
chromium-reviews, cbentzel+watch_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Pretty print AlternativeService in test macros. Implement operator<<(std::ostream&, const AlternativeService&) so that when EXPECT_EQ or ASSERT_EQ fails between two AlternativeService structs, the test output contains protocol names and hostnames pretty printed, instead of a binary blob including useless things like the memory address of where std::string stores the hostname. Currently used in AlternateProtocolServerPropertiesTest.BrokenShadowsCanonical only, but more tests involving EXPECT_EQ between AlternativeService structs are coming. BUG=392575 Committed: https://crrev.com/a3542c2eb9d3760800d718c51eb9f573a42c6b42 Cr-Commit-Position: refs/heads/master@{#336551}

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+13 lines, -0 lines) Patch
M net/http/http_server_properties.h View 2 chunks +6 lines, -0 lines 0 comments Download
M net/http/http_server_properties.cc View 2 chunks +7 lines, -0 lines 0 comments Download

Messages

Total messages: 13 (4 generated)
Bence
Ryan: PTAL. Thanks.
2 years, 11 months ago (2015-06-26 20:34:34 UTC) #2
Ryan Hamilton
lgtm
2 years, 11 months ago (2015-06-28 16:10:20 UTC) #3
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1212813006/1
2 years, 10 months ago (2015-06-29 11:33:18 UTC) #5
commit-bot: I haz the power
Try jobs failed on following builders: cast_shell_linux on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/cast_shell_linux/builds/25208)
2 years, 10 months ago (2015-06-29 12:01:45 UTC) #7
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1212813006/1
2 years, 10 months ago (2015-06-29 13:14:29 UTC) #9
commit-bot: I haz the power
Committed patchset #1 (id:1)
2 years, 10 months ago (2015-06-29 13:18:24 UTC) #10
commit-bot: I haz the power
Patchset 1 (id:??) landed as https://crrev.com/a3542c2eb9d3760800d718c51eb9f573a42c6b42 Cr-Commit-Position: refs/heads/master@{#336551}
2 years, 10 months ago (2015-06-29 13:19:15 UTC) #11
grt (UTC plus 2)
A revert of this CL (patchset #1 id:1) has been created in https://codereview.chromium.org/1218813005/ by grt@chromium.org. ...
2 years, 10 months ago (2015-06-29 13:56:05 UTC) #12
Bence
2 years, 10 months ago (2015-06-29 16:51:04 UTC) #13
Message was sent while issue was closed.
On 2015/06/29 13:56:05, grt wrote:
> A revert of this CL (patchset #1 id:1) has been created in
> https://codereview.chromium.org/1218813005/ by mailto:grt@chromium.org.
> 
> The reason for reverting is: Introduced new static initializers:
> 
> # http_server_properties.cc _GLOBAL__sub_I_http_server_properties.cc+0x10
> # http_server_properties.cc std::ios_base::Init::Init()@plt
> # http_server_properties.cc __cxa_atexit@plt [registers a dtor to run at
exit].

For the record: this is from
https://build.chromium.org/p/chromium/builders/Linux/builds/63906/steps/sizes....
 To locally check, one could build chrome and then run
tools/linux/dump-static-initializers.py out/Debug/chrome.

Powered by Google App Engine
This is Rietveld 408576698